!c Description:
!c  NetCDF ファイルのエラー出力
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Histry: 
!c   Version    Date          Comment
!c   -------    ----------    --------
!c   1.0        2003-02-05    作成
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2003, All rights reserved

module interface_netcdf_err
  interface

     subroutine netcdf_err(status)
       integer, intent(in) :: status
     end subroutine netcdf_err

  end interface
end module interface_netcdf_err



subroutine netcdf_err(status)
  use netcdf
  implicit none
  integer, intent(in) :: status

  if(status /= nf90_noerr) then
     write(*,*) trim(nf90_strerror(status))
     stop "Stopped"
  end if

end subroutine netcdf_err


